Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.cluster.evaluate
Class ClusteringEvaluator

    java.lang.Object
      cc.mallet.cluster.evaluate.ClusteringEvaluator

Direct Known Subclasses:
  AccuracyEvaluator, BCubedEvaluator, ClusteringEvaluators, MUCEvaluator, PairF1Evaluator

    public abstract class ClusteringEvaluator

extends java.lang.Object

Evaluates a predicted Clustering against a true Clustering.

Since:
  1.0
Version:
  1.0
Author:
  "Aron Culotta"

Constructor Summary
`ClusteringEvaluator()`

Method Summary
`java.lang.String` | `evaluate(Clustering[] truth, Clusterer clusterer)`
`java.lang.String` | `evaluate(Clustering[] truth, Clustering[] predicted)`
`abstract java.lang.String` | `evaluate(Clustering truth, Clustering predicted)`
`abstract java.lang.String` | `evaluateTotals()`
`abstract double[]` | `getEvaluationScores(Clustering truth, Clustering predicted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusteringEvaluator

    public ClusteringEvaluator()

Method Detail

### evaluate

    public abstract java.lang.String evaluate(Clustering truth,
                                              Clustering predicted)

  Parameters:
    `truth` -
    `predicted` -
  Returns:
    A String summarizing the evaluation metric.

### evaluate

    public java.lang.String evaluate(Clustering[] truth,
                                     Clustering[] predicted)

### evaluate

    public java.lang.String evaluate(Clustering[] truth,
                                     Clusterer clusterer)

### getEvaluationScores

    public abstract double[] getEvaluationScores(Clustering truth,
                                                 Clustering predicted)

### evaluateTotals

    public abstract java.lang.String evaluateTotals()

  Returns:
    If the ClusteringEvaluator maintains state between calls to evaluate, this method will return the total evaluation metric since the first evaluation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD